PHP ��U
前一頁 |  | 下一頁

# mysql_free_result

(PHP 3, PHP 4, PHP 5)

mysql_free_result -- Free result memory

## Description

bool mysql_free_result ( resource result )

mysql_free_result() will free all memory associated with the result identifier result.

mysql_free_result() only needs to be called if you are concerned about how much memory is being used for queries that return large result sets. All associated result memory is automatically freed at the end of the script's execution.

## Parameters

result

  The result resource that is being evaluated. This result comes from a call to mysql_query().

## Return Values

�\�^��`TRUE`�Ѧ^��`FALSE`�C

If a non-resource is used for the result, an error of level E_WARNING will be emitted. It's worth noting that mysql_query() only returns a resource for SELECT, SHOW, EXPLAIN, and DESCRIBE queries.

## �d��

範例 1. A mysql_free_result() example

`<?php $result = mysql_query("SELECT id,email FROM people WHERE id = '42'"); if (!$result) { echo 'Could not run query: ' . mysql_error(); exit; } /* Use the result, assuming we're done with it afterwords */ $row = mysql_fetch_assoc($result); /* Now we free up the result and continue on with our script */ mysql_free_result($result); echo $row['id']; echo $row['email']; ?>`

## Notes

> 注: For downward compatibility, the following deprecated alias may be used: mysql_freeresult()

## �Ѧ�

mysql_query()
is_resource()

前一頁 | 內容 | 下一頁
mysql_field_type | 上一層 | mysql_get_client_info